<!DOCTYPE html>
<html>

<head>
  <link rel="stylesheet" href="style.css">
</head>

<body ng-app class='container'>
  <div>
    <button ng-init="count = 0" ng-click="count = count + 1; console.log(count)">Click me</button>
    <input ng-model="name" />
    <p ng-bind="name"></p>
    <p ng-outline="red">Red outline</p>
    <p ng-outline="green">Green outline</p>
    <p ng-rotate="200">Rotate for 200deg</p>
  </div>

  <input ng-model="sentence" />
  <label ng-rotate="200">Click me: <input type="checkbox" ng-model="checked" ng-init="checked=true" /></label><br />
  <ul>
    <li ng-repeat="letter in sentence" ng-if="checked">
      <p>letter {{letter|toUpperCase}}<p</li>
  </ul>
  <p ng-hide="checked">
    This one is hide when checked.
  </p>
  <p ng-show="checked">
    This one is show when checked.
  </p>
  <sometag ng-if="checked">some tag</sometag>

    <div>
      <input ng-model="value" value="set"/>
      <input ng-model="name1" value="AbVGd487287">
      <button ng-click="value=!value">Check</button>
      <div ng-if="name1">asdf</div>
      <sometag ng-if="name1">some tag</sometag>
    </div>
    <button ng-click="num = num + 1" ng-init="num=0">Button</button>
      <div ng-bind="num"></div>
      <div ng-if="!value">Ng If</div>
      <div>Ng If</div>
      <input type="checkbox" ng-model="check" >
      <input type="checkbox" ng-model="check" checked>
      <ul>
        <li ng-repeat="letter in name1">letter: {{ letter | toUpperCase }},
          <span ng-if="check">{{ letter | toUpperCase | toUSCurrency }}</span>
        </li>
      </ul>
      <div ng-if="check" ng-crossout>sdfasdf</div>
</body>

</html>